Subject: Re: linux-next: build failure

From: Rusty Russell <[email-masked]>
Date: Wed, 27 Aug 2008 12:55:22 +1000

On Wednesday 27 August 2008 10:06:56 Stephen Rothwell wrote:
> Introduced by commit 4cb9da6ecc2b0e25056b45981239475f8509d59d ("remove
> CONFIG_KMOD from net") which added a !CONFIG_MODULES (static inline)
> version of dev_load() to include/linux/netdevice.h but the copy in
> net/core/dev.c is not protected by CONFIG_MODULES.

Thanks.  I've fixed this the simplest way: remove the change to the header.

Rusty.